org.apache.olingo.client.api.communication

## Class ODataClientErrorException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.olingo.commons.api.ex.ODataRuntimeException
        - - org.apache.olingo.client.api.communication.ODataClientErrorException

- All Implemented Interfaces:
    Serializable

      public class ODataClientErrorException
      extends ODataRuntimeException

  Represents a client error in OData.
  See Also:
    `ODataError`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataClientErrorException(org.apache.http.StatusLine statusLine)` Constructor.
    `ODataClientErrorException(org.apache.http.StatusLine statusLine, ODataError error)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.http.Header[]` | `getHeaderInfo()` Returns headers
    `ODataError` | `getODataError()` Gets OData error.
    `org.apache.http.StatusLine` | `getStatusLine()` Gets request status info.
    `void` | `setHeaderInfo(org.apache.http.Header[] headerInfo)` Sets headers

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ODataClientErrorException

          public ODataClientErrorException(org.apache.http.StatusLine statusLine)

      Constructor.
      Parameters:
        `statusLine` - request status info.

    - #### ODataClientErrorException

          public ODataClientErrorException(org.apache.http.StatusLine statusLine,
                                           ODataError error)

      Constructor.
      Parameters:
        `statusLine` - request status info.
        `error` - OData error to be wrapped.

  - ### Method Detail

    - #### getStatusLine

          public org.apache.http.StatusLine getStatusLine()

      Gets request status info.
      Returns:
        request status info.

    - #### getODataError

          public ODataError getODataError()

      Gets OData error.
      Returns:
        OData error.

    - #### setHeaderInfo

          public void setHeaderInfo(org.apache.http.Header[] headerInfo)

      Sets headers
      Parameters:
        `headerInfo` -

    - #### getHeaderInfo

          public org.apache.http.Header[] getHeaderInfo()

      Returns headers
      Returns:
        Header[]

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.